Org settings, dashboards & reporting
Refresh Anchorage Transaction Status
Polls Anchorage withdrawal status for a tax reference, applies status flips and settles idempotently when complete.
POSThttps://api.toku.com/tga/refresh-anchorage-transaction-status
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/tga/refresh-anchorage-transaction-status' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"taxReferenceID": "string"
}'200 response
{
"status": "INPROGRESS",
"transactionHash": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
taxReferenceIDstringrequiredResponse
200Successful response
statusstringrequiredAvailable options: INPROGRESS, SUCCESS, REJECTED, NEEDS_APPROVAL
transactionHashstring | nullrequiredsettlementRecordIDnull | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits